## python-mne 0.7.3

=== Makefile ===
# simple makefile to simplify repetetive build env management tasks under posix

# caution: testing won't work on windows, see README

PYTHON ?= python
NOSETESTS ?= nosetests
CTAGS ?= ctags

all: clean inplace test test-doc

clean-pyc:
	find . -name "*.pyc" | xargs rm -f

clean-so:
	find . -name "*.so" | xargs rm -f
	find . -name "*.pyd" | xargs rm -f

clean-build:
	rm -rf build

clean-ctags:
	rm -f tags

clean: clean-build clean-pyc clean-so clean-ctags

in: inplace # just a shortcut
inplace:
	$(PYTHON) setup.py build_ext -i

sample_data: $(CURDIR)/examples/MNE-sample-data/MEG/sample/sample_audvis_raw.fif
	@echo "Target needs sample data"

$(CURDIR)/examples/MNE-sample-data/MEG/sample/sample_audvis_raw.fif:
	wget ftp://surfer.nmr.mgh.harvard.edu/pub/data/MNE-sample-data-processed.tar.gz
	tar xvzf MNE-sample-data-processed.tar.gz
	mv MNE-sample-data examples/
	ln -sf ${PWD}/examples/MNE-sample-data ${PWD}/MNE-sample-data

test: in sample_data
	rm -f .coverage
	$(NOSETESTS) mne

test-no-sample: in
	@MNE_SKIP_SAMPLE_DATASET_TESTS=true \
	$(NOSETESTS) mne


test-no-sample-with-coverage: in
	rm -rf coverage .coverage
	@MNE_SKIP_SAMPLE_DATASET_TESTS=true \
	$(NOSETESTS) --with-coverage --cover-package=mne --cover-html --cover-html-dir=coverage

test-doc: sample_data
	$(NOSETESTS) --with-doctest --doctest-tests --doctest-extension=rst doc/ doc/source/

test-coverage: sample_data
	rm -rf coverage .coverage
	$(NOSETESTS) --with-coverage --cover-package=mne --cover-html --cover-html-dir=coverage

test-profile: sample_data
	$(NOSETESTS) --with-profile --profile-stats-file stats.pf mne
	hotshot2dot stats.pf | dot -Tpng -o profile.png

test-mem: in sample_data
	ulimit -v 1097152 && $(NOSETESTS)

trailing-spaces:
	find . -name "*.py" | xargs perl -pi -e 's/[ \t]*$$//'

ctags:
	# make tags for symbol based navigation in emacs and vim
	# Install with: sudo apt-get install exuberant-ctags
	$(CTAGS) -R *

upload-pipy:
	python setup.py sdist bdist_egg register upload

codespell:
	# The *.fif had to be there twice to be properly ignored (!)
	codespell.py -w -i 3 -S="*.fif,*.fif,*.eve,*.gz,*.tgz,*.zip,*.mat,*.stc,*.label,*.w,*.bz2,*.coverage,*.annot,*.sulc,*.log,*.local-copy,*.orig_avg,*.inflated_avg,*.gii" ./dictionary.txt -r .

manpages:
	@echo "I: generating manpages"
	set -e; mkdir -p build/manpages && \
	cd bin && for f in mne*; do \
			descr=$$(grep -h -e "^ *'''" -e 'DESCRIP =' $$f -h | sed -e "s,.*' *\([^'][^']*\)'.*,\1,g" | head -n 1); \
	PYTHONPATH=../ \
			help2man -n "$$descr" --no-discard-stderr --no-info --version-string "$(uver)" ./$$f \
			>| ../build/manpages/$$f.1; \
	done

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files (stable version)"
	@echo "  dev_html  to make standalone HTML files (dev version)"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf build/*
	-rm -rf source/auto_examples
	-rm -rf source/generated
	-rm -rf *.stc
	-rm -rf *.fif
	-rm -rf *.nii.gz

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

html_dev:
	BUILD_DEV_HTML=1 $(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

html-noplot:
	$(SPHINXBUILD) -D plot_gallery=False -b html $(ALLSPHINXOPTS) build/html
	@echo
	@echo "Build finished. The HTML pages are in build/html/stable."

html_dev-noplot:
	BUILD_DEV_HTML=1 $(SPHINXBUILD) -D plot_gallery=False -b html $(ALLSPHINXOPTS) build/html
	@echo
	@echo "Build finished. The HTML pages are in build/html/stable."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in build/qthelp, like this:"
	@echo "# qcollectiongenerator build/qthelp/MNE.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile build/qthelp/MNE.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in build/doctest/output.txt."

=== debian/changelog ===
python-mne (0.7.3-1) unstable; urgency=low

  * New upstream version
    Closes: #735811
  * Set back X-Python-Version to >= 2.6

 -- Alexandre Gramfort <alexandre.gramfort@m4x.org>  Sat, 18 Jan 2014 17:00:00 -0400

python-mne (0.7.1-2) neurodebian; urgency=low

  * Boost X-Python-Version to >= 2.7 to provide installable
    builds for wheezy

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 12 Jan 2014 10:02:56 -0500

python-mne (0.7.1-1) unstable; urgency=low

  [ Alexandre Gramfort ]
  * Fresh upstream release

  [ Andreas Tille ]
  * cme fix dpkg-control

 -- Alexandre Gramfort <alexandre.gramfort@m4x.org>  Wed, 8 Jan 2014 17:00:00 -0400

python-mne (0.7-1) unstable; urgency=low

  * Initial packaging (Closes: #728797)

 -- Alexandre Gramfort <alexandre.gramfort@m4x.org>  Sun, 27 Oct 2013 21:30:31 -0400

=== debian/control ===
Source: python-mne
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Alexandre Gramfort <alexandre.gramfort@m4x.org>,
           Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <michael.hanke@gmail.com>,
           Andreas Tille <tille@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               python-all,
               python-support,
               python-numpy,
               python-scipy,
               python-sphinx (>= 1.0~),
               python-nose,
               python-setuptools,
               python-matplotlib,
               python-joblib (>= 0.4.5),
               python-sklearn,
               xvfb,
               xauth,
               libgl1-mesa-dri,
               python-coverage
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/python-mne.git
Vcs-Git: git://anonscm.debian.org/debian-med/python-mne.git
Homepage: http://martinos.org/mne
X-Python-Version: >= 2.6

Package: python-mne
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-numpy,
         python-scipy,
         python-sklearn,
         python-matplotlib,
         python-joblib (>= 0.4.5),
         xvfb,
         xauth,
         libgl1-mesa-dri,
         help2man
Recommends: python-nose,
            mayavi2
Suggests: python-dap,
          ipython
Provides: ${python:Provides}
Description: Python modules for MEG and EEG data analysis
 This package is designed for sensor- and source-space analysis of MEG
 and EEG data, including frequency-domain and time-frequency analyses
 and non-parametric statistics.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

NOSETESTS=nosetests

%:
	dh $@ --with python2 --buildsystem python_distutils

override_dh_clean:
	rm -rf *.egg-info
	dh_clean

override_dh_auto_test:
	MNE_SKIP_SAMPLE_DATASET_TESTS=true \
	  xvfb-run --auto-servernum --server-num=20 -s "-screen 0 1024x768x24 -ac +extension GLX +render -noreset" \
	  $(NOSETESTS) mne

=== debian/watch ===
version=3
opts="dversionmangle=s/.dfsg$//,filenamemangle=s/.*v([\d\.]+)\..*/python-mne_$1.orig.tar.gz/" \
 https://github.com/mne-tools/mne-python/tags .*/archive/v([\d\.]+)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## python-mne 0.8.6+dfsg

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,10 @@
 clean-ctags:
 	rm -f tags
 
-clean: clean-build clean-pyc clean-so clean-ctags
+clean-cache:
+	find . -name "__pycache__" | xargs rm -rf
+
+clean: clean-build clean-pyc clean-so clean-ctags clean-cache
 
 in: inplace # just a shortcut
 inplace:
@@ -31,7 +34,7 @@
 	@echo "Target needs sample data"
 
 $(CURDIR)/examples/MNE-sample-data/MEG/sample/sample_audvis_raw.fif:
-	wget ftp://surfer.nmr.mgh.harvard.edu/pub/data/MNE-sample-data-processed.tar.gz
+	wget -c ftp://surfer.nmr.mgh.harvard.edu/pub/data/MNE-sample-data-processed.tar.gz
 	tar xvzf MNE-sample-data-processed.tar.gz
 	mv MNE-sample-data examples/
 	ln -sf ${PWD}/examples/MNE-sample-data ${PWD}/MNE-sample-data

=== debian/changelog ===
python-mne (0.8.6+dfsg-2) unstable; urgency=medium

  * debian/{rules.patches/changeset_b9d4d*}
    Absorb upstream patch and specify not using HOME directory for generated
    pre-computed data, but instead use tempdir. (Closes: #768730)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 11 Dec 2014 09:33:18 -0500

python-mne (0.8.6+dfsg-1) unstable; urgency=low

  * New upstream version
  * remove dependency on d3

 -- Alexandre Gramfort <alexandre.gramfort@m4x.org>  Sat, 25 Oct 2014 16:09:07 -0400

python-mne (0.8.4+dfsg-1) unstable; urgency=low

  [ Alexandre Gramfort ]
  * New upstream version.
  * Skip tests needing network access (Closes: #759916)
  * Regenerate compressed bootstrap 3.0, added build-depends on
    yui-compressor

  [ Andreas Tille ]
  * Strip compressed JS files from upstream source

  [ Yaroslav Halchenko ]
  * debian/copyright
    - updated to note MIT license for bootstrap 3.0
  * debian/control
    - removed pysupport from build-depends (not used)
    - added mayavi2 and jquery packages into build-depends for robust 
      build across all Debian/Ubuntu releases and extended testing

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 24 Sep 2014 08:20:50 -0400

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
 Priority: optional
 Build-Depends: debhelper (>= 9),
                python-all,
-               python-support,
                python-numpy,
                python-scipy,
                python-sphinx (>= 1.0~),
@@ -20,7 +19,11 @@
                xvfb,
                xauth,
                libgl1-mesa-dri,
-               python-coverage
+               python-coverage,
+               libjs-jquery,
+               libjs-jquery-ui,
+               yui-compressor,
+               mayavi2,
 Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/python-mne.git
 Vcs-Git: git://anonscm.debian.org/debian-med/python-mne.git
@@ -39,7 +42,9 @@
          xvfb,
          xauth,
          libgl1-mesa-dri,
-         help2man
+         help2man,
+         libjs-jquery,
+         libjs-jquery-ui,
 Recommends: python-nose,
             mayavi2
 Suggests: python-dap,

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,14 @@
 	rm -rf *.egg-info
 	dh_clean
 
+override_dh_auto_build:
+	dh_auto_build
+	yui-compressor debian/JS/bootstrap/bootstrap.js > $(CURDIR)/mne/html/bootstrap.min.js
+
 override_dh_auto_test:
-	MNE_SKIP_SAMPLE_DATASET_TESTS=true \
+	MNE_DONTWRITE_HOME=true MNE_SKIP_SAMPLE_DATASET_TESTS=true MNE_FORCE_SERIAL=true MNE_SKIP_NETWORK_TESTS=1 \
 	  xvfb-run --auto-servernum --server-num=20 -s "-screen 0 1024x768x24 -ac +extension GLX +render -noreset" \
 	  $(NOSETESTS) mne
+
+get-orig-source:
+	uscan --verbose --force-download --repack --compress xz

## python-mne 0.10.1+dfsg

=== Makefile ===
# simple makefile to simplify repetetive build env management tasks under posix

# caution: testing won't work on windows, see README

PYTHON ?= python
NOSETESTS ?= nosetests
CTAGS ?= ctags

all: clean inplace test test-doc

clean-pyc:
	find . -name "*.pyc" | xargs rm -f

clean-so:
	find . -name "*.so" | xargs rm -f
	find . -name "*.pyd" | xargs rm -f

clean-build:
	rm -rf _build

clean-ctags:
	rm -f tags

clean-cache:
	find . -name "__pycache__" | xargs rm -rf

clean: clean-build clean-pyc clean-so clean-ctags clean-cache

in: inplace # just a shortcut
inplace:
	$(PYTHON) setup.py build_ext -i

sample_data:
	@python -c "import mne; mne.datasets.sample.data_path(verbose=True);"

testing_data:
	@python -c "import mne; mne.datasets.testing.data_path(verbose=True);"

test: in
	rm -f .coverage
	$(NOSETESTS) -a '!ultra_slow_test' mne

test-full: in
	rm -f .coverage
	$(NOSETESTS) mne

test-no-network: in
	sudo unshare -n -- sh -c 'MNE_SKIP_NETWORK_TESTS=1 nosetests mne'

test-no-testing-data: in
	@MNE_SKIP_TESTING_DATASET_TESTS=true \
	$(NOSETESTS) mne

test-no-sample-with-coverage: in testing_data
	rm -rf coverage .coverage
	$(NOSETESTS) --with-coverage --cover-package=mne --cover-html --cover-html-dir=coverage

test-doc: sample_data testing_data
	$(NOSETESTS) --with-doctest --doctest-tests --doctest-extension=rst doc/

test-coverage: testing_data
	rm -rf coverage .coverage
	$(NOSETESTS) --with-coverage --cover-package=mne --cover-html --cover-html-dir=coverage

test-profile: testing_data
	$(NOSETESTS) --with-profile --profile-stats-file stats.pf mne
	hotshot2dot stats.pf | dot -Tpng -o profile.png

test-mem: in testing_data
	ulimit -v 1097152 && $(NOSETESTS)

trailing-spaces:
	find . -name "*.py" | xargs perl -pi -e 's/[ \t]*$$//'

ctags:
	# make tags for symbol based navigation in emacs and vim
	# Install with: sudo apt-get install exuberant-ctags
	$(CTAGS) -R *

upload-pipy:
	python setup.py sdist bdist_egg register upload

flake:
	@if command -v flake8 > /dev/null; then \
		echo "Running flake8"; \
		flake8 --count mne examples; \
	else \
		echo "flake8 not found, please install it!"; \
		exit 1; \
	fi;
	@echo "flake8 passed"

codespell:
	# The *.fif had to be there twice to be properly ignored (!)
	codespell.py -w -i 3 -S="*.fif,*.fif,*.eve,*.gz,*.tgz,*.zip,*.mat,*.stc,*.label,*.w,*.bz2,*.coverage,*.annot,*.sulc,*.log,*.local-copy,*.orig_avg,*.inflated_avg,*.gii" ./dictionary.txt -r .

manpages:
	@echo "I: generating manpages"
	set -e; mkdir -p _build/manpages && \
	cd bin && for f in mne*; do \
			descr=$$(grep -h -e "^ *'''" -e 'DESCRIP =' $$f -h | sed -e "s,.*' *\([^'][^']*\)'.*,\1,g" | head -n 1); \
	PYTHONPATH=../ \
			help2man -n "$$descr" --no-discard-stderr --no-info --version-string "$(uver)" ./$$f \
			>| ../_build/manpages/$$f.1; \
	done

build-doc-dev:
	cd doc; make clean
	cd doc; DISPLAY=:1.0 xvfb-run -n 1 -s "-screen 0 1280x1024x24 -noreset -ac +extension GLX +render" make html_dev

build-doc-stable:
	cd doc; make clean
	cd doc; DISPLAY=:1.0 xvfb-run -n 1 -s "-screen 0 1280x1024x24 -noreset -ac +extension GLX +render" make html_stable

=== debian/changelog ===
python-mne (0.10.1+dfsg-1~nd70+1) wheezy; urgency=medium

  * Backported for wheezy.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Fri, 27 Nov 2015 10:54:27 -0500

python-mne (0.10.1+dfsg-1) unstable; urgency=medium

  [ Jaakko Leppakangas ]
  * New upstream version
  * Removed depedency on mayavi2

  [ Yaroslav Halchenko ]
  * debian/patches
    - dropped CPed from upstream changeset_9c7ef6d1*
  * debian/control
    - added python-vtk | mayavi2 to the build-depends

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 27 Nov 2015 10:44:11 -0500

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: python-mne
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Alexandre Gramfort <alexandre.gramfort@m4x.org>,
            Yaroslav Halchenko <debian@onerussian.com>,
            Michael Hanke <michael.hanke@gmail.com>,
@@ -16,6 +17,7 @@
                python-matplotlib,
                python-joblib (>= 0.4.5),
                python-sklearn,
+               python-vtk | mayavi2,
                xvfb,
                xauth,
                libgl1-mesa-dri,
@@ -23,8 +25,7 @@
                libjs-jquery,
                libjs-jquery-ui,
                yui-compressor,
-               mayavi2,
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/python-mne.git
 Vcs-Git: git://anonscm.debian.org/debian-med/python-mne.git
 Homepage: http://martinos.org/mne
@@ -32,7 +33,7 @@
 
 Package: python-mne
 Architecture: all
-Depends: ${misc:Depends},
+Depends: neurodebian-popularity-contest, ${misc:Depends},
          ${python:Depends},
          python-numpy,
          python-scipy,

## python-mne 0.11%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,7 @@
 override_dh_auto_build:
 	dh_auto_build
 	yui-compressor debian/JS/bootstrap/bootstrap.js > $(CURDIR)/mne/html/bootstrap.min.js
+	echo -e "\n" >> $(CURDIR)/mne/html/bootstrap.min.js
 
 override_dh_auto_test:
 	MNE_DONTWRITE_HOME=true MNE_SKIP_SAMPLE_DATASET_TESTS=true MNE_FORCE_SERIAL=true MNE_SKIP_NETWORK_TESTS=1 \

=== debian/watch ===
version=3
opts="uversionmangle=s/$/+dfsg/,filenamemangle=s/.*v([\d\.]+)\..*/python-mne_$1.orig.tar.gz/" \
 https://github.com/mne-tools/mne-python/tags .*/archive/v([\d\.]+)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## python-mne 0.11+dfsg

=== Makefile ===
--- 
+++ 
@@ -39,6 +39,10 @@
 test: in
 	rm -f .coverage
 	$(NOSETESTS) -a '!ultra_slow_test' mne
+
+test-fast: in
+	rm -f .coverage
+	$(NOSETESTS) -a '!slow_test' mne
 
 test-full: in
 	rm -f .coverage

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html_stable  to make standalone HTML files (stable version)"
	@echo "  html_dev     to make standalone HTML files (dev version)"
	@echo "  *-noplot     to make standalone HTML files without plotting"
	@echo "  dirhtml      to make HTML files named index.html in directories"
	@echo "  pickle       to make pickle files"
	@echo "  json         to make JSON files"
	@echo "  htmlhelp     to make HTML files and a HTML help project"
	@echo "  qthelp       to make HTML files and a qthelp project"
	@echo "  latex        to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes      to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck    to check all external links for integrity"
	@echo "  doctest      to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf _build/*
	-rm -rf auto_examples
	-rm -rf auto_tutorials
	-rm -rf generated
	-rm -rf *.stc
	-rm -rf *.fif
	-rm -rf *.nii.gz

html_stable:
	$(SPHINXBUILD) -D raise_gallery=1 -b html $(ALLSPHINXOPTS) build/html_stable
	@echo
	@echo "Build finished. The HTML pages are in _build/html_stable."

html_dev:
	BUILD_DEV_HTML=1 $(SPHINXBUILD) -D raise_gallery=1 -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html"

html_dev-noslow:
	BUILD_DEV_HTML=1 $(SPHINXBUILD) -D plot_gallery=fast -b html $(ALLSPHINXOPTS) _build/html

html_dev-noplot:
	BUILD_DEV_HTML=1 $(SPHINXBUILD) -D plot_gallery=0 -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in _build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in _build/qthelp, like this:"
	@echo "# qcollectiongenerator _build/qthelp/MNE.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile _build/qthelp/MNE.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

=== debian/changelog ===
python-mne (0.11+dfsg-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/patches/fix_test - dropped, upstreamed

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 04 Jan 2016 20:51:51 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: python-mne
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Alexandre Gramfort <alexandre.gramfort@m4x.org>,
            Yaroslav Halchenko <debian@onerussian.com>,
            Michael Hanke <michael.hanke@gmail.com>,
@@ -33,7 +32,7 @@
 
 Package: python-mne
 Architecture: all
-Depends: neurodebian-popularity-contest, ${misc:Depends},
+Depends: ${misc:Depends},
          ${python:Depends},
          python-numpy,
          python-scipy,

## python-mne 0.12+dfsg

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,9 @@
 PYTHON ?= python
 NOSETESTS ?= nosetests
 CTAGS ?= ctags
-
+# The *.fif had to be there twice to be properly ignored (!)
+CODESPELL_SKIPS ?= "*.fif,*.fif,*.eve,*.gz,*.tgz,*.zip,*.mat,*.stc,*.label,*.w,*.bz2,*.annot,*.sulc,*.log,*.local-copy,*.orig_avg,*.inflated_avg,*.gii,*.pyc,*.doctree,*.pickle,*.inv,*.png,*.edf,*.touch,*.thickness,*.nofix,*.volume,*.defect_borders,*.mgh,lh.*,rh.*,COR-*,FreeSurferColorLUT.txt,*.examples,.xdebug_mris_calc,bad.segments,BadChannels,*.hist,empty_file,*.orig"
+CODESPELL_DIRS ?= mne/ doc/ tutorials/ examples/
 all: clean inplace test test-doc
 
 clean-pyc:
@@ -39,6 +41,10 @@
 test: in
 	rm -f .coverage
 	$(NOSETESTS) -a '!ultra_slow_test' mne
+
+test-verbose: in
+	rm -f .coverage
+	$(NOSETESTS) -a '!ultra_slow_test' mne --verbose
 
 test-fast: in
 	rm -f .coverage
@@ -87,16 +93,18 @@
 flake:
 	@if command -v flake8 > /dev/null; then \
 		echo "Running flake8"; \
-		flake8 --count mne examples; \
+		flake8 --count mne examples tutorials; \
 	else \
 		echo "flake8 not found, please install it!"; \
 		exit 1; \
 	fi;
 	@echo "flake8 passed"
 
-codespell:
-	# The *.fif had to be there twice to be properly ignored (!)
-	codespell.py -w -i 3 -S="*.fif,*.fif,*.eve,*.gz,*.tgz,*.zip,*.mat,*.stc,*.label,*.w,*.bz2,*.coverage,*.annot,*.sulc,*.log,*.local-copy,*.orig_avg,*.inflated_avg,*.gii" ./dictionary.txt -r .
+codespell:  # running manually
+	@codespell.py -w -i 3 -q 3 -S $(CODESPELL_SKIPS) -D ./dictionary.txt $(CODESPELL_DIRS)
+
+codespell-error:  # running on travis
+	@codespell.py -i 0 -q 7 -S $(CODESPELL_SKIPS) -D ./dictionary.txt $(CODESPELL_DIRS) | tee /dev/tty | wc -l | xargs test 0 -eq
 
 manpages:
 	@echo "I: generating manpages"

=== doc/Makefile ===
--- 
+++ 
@@ -15,18 +15,19 @@
 
 help:
 	@echo "Please use \`make <target>' where <target> is one of"
-	@echo "  html_stable  to make standalone HTML files (stable version)"
-	@echo "  html_dev     to make standalone HTML files (dev version)"
-	@echo "  *-noplot     to make standalone HTML files without plotting"
-	@echo "  dirhtml      to make HTML files named index.html in directories"
-	@echo "  pickle       to make pickle files"
-	@echo "  json         to make JSON files"
-	@echo "  htmlhelp     to make HTML files and a HTML help project"
-	@echo "  qthelp       to make HTML files and a qthelp project"
-	@echo "  latex        to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
-	@echo "  changes      to make an overview of all changed/added/deprecated items"
-	@echo "  linkcheck    to check all external links for integrity"
-	@echo "  doctest      to run all doctests embedded in the documentation (if enabled)"
+	@echo "  html_stable      to make standalone HTML files (stable version)"
+	@echo "  html_dev         to make standalone HTML files (dev version)"
+	@echo "  html_dev-pattern to make standalone HTML files for one example dir (dev version)"
+	@echo "  *-noplot     	  to make standalone HTML files without plotting"
+	@echo "  dirhtml          to make HTML files named index.html in directories"
+	@echo "  pickle           to make pickle files"
+	@echo "  json             to make JSON files"
+	@echo "  htmlhelp         to make HTML files and a HTML help project"
+	@echo "  qthelp           to make HTML files and a qthelp project"
+	@echo "  latex            to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
+	@echo "  changes          to make an overview of all changed/added/deprecated items"
+	@echo "  linkcheck        to check all external links for integrity"
+	@echo "  doctest          to run all doctests embedded in the documentation (if enabled)"
 
 clean:
 	-rm -rf _build/*
@@ -38,12 +39,17 @@
 	-rm -rf *.nii.gz
 
 html_stable:
-	$(SPHINXBUILD) -D raise_gallery=1 -b html $(ALLSPHINXOPTS) build/html_stable
+	$(SPHINXBUILD) -D raise_gallery=1 -b html $(ALLSPHINXOPTS) _build/html_stable
 	@echo
 	@echo "Build finished. The HTML pages are in _build/html_stable."
 
 html_dev:
-	BUILD_DEV_HTML=1 $(SPHINXBUILD) -D raise_gallery=1 -b html $(ALLSPHINXOPTS) _build/html
+	BUILD_DEV_HTML=1 $(SPHINXBUILD) -D raise_gallery=1 -D abort_on_example_error=1 -b html $(ALLSPHINXOPTS) _build/html
+	@echo
+	@echo "Build finished. The HTML pages are in _build/html"
+
+html_dev-pattern:
+	BUILD_DEV_HTML=1 $(SPHINXBUILD) -D plot_gallery=1 -D sphinx_gallery_conf.filename_pattern=$(PATTERN) -b html $(ALLSPHINXOPTS) _build/html
 	@echo
 	@echo "Build finished. The HTML pages are in _build/html"

=== debian/changelog ===
python-mne (0.12+dfsg-2) unstable; urgency=medium

  * debian/control
    - make recent mayavi2 (>= 4.4.3-1) the lead bdepends to python-vtk{6,}
      as an alternatives (Closes: #830357)
      Versioned mayavi2 is needed since otherwise would fail with mayavi2
      on older releases of debian/ubuntu

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 10 Jul 2016 11:15:35 -0400

python-mne (0.12+dfsg-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/control
    - boosted policy to 3.9.8
    - suggest python-pycuda

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 13 May 2016 17:38:17 -0400

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                python-matplotlib,
                python-joblib (>= 0.4.5),
                python-sklearn,
-               python-vtk | mayavi2,
+               mayavi2 (>= 4.4.3-1) | python-vtk6 | python-vtk,
                xvfb,
                xauth,
                libgl1-mesa-dri,
@@ -24,7 +24,7 @@
                libjs-jquery,
                libjs-jquery-ui,
                yui-compressor,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/python-mne.git
 Vcs-Git: git://anonscm.debian.org/debian-med/python-mne.git
 Homepage: http://martinos.org/mne
@@ -48,6 +48,7 @@
 Recommends: python-nose,
             mayavi2
 Suggests: python-dap,
+          python-pycuda,
           ipython
 Provides: ${python:Provides}
 Description: Python modules for MEG and EEG data analysis

## python-mne 0.13.1+dfsg

=== Makefile ===
--- 
+++ 
@@ -5,8 +5,7 @@
 PYTHON ?= python
 NOSETESTS ?= nosetests
 CTAGS ?= ctags
-# The *.fif had to be there twice to be properly ignored (!)
-CODESPELL_SKIPS ?= "*.fif,*.fif,*.eve,*.gz,*.tgz,*.zip,*.mat,*.stc,*.label,*.w,*.bz2,*.annot,*.sulc,*.log,*.local-copy,*.orig_avg,*.inflated_avg,*.gii,*.pyc,*.doctree,*.pickle,*.inv,*.png,*.edf,*.touch,*.thickness,*.nofix,*.volume,*.defect_borders,*.mgh,lh.*,rh.*,COR-*,FreeSurferColorLUT.txt,*.examples,.xdebug_mris_calc,bad.segments,BadChannels,*.hist,empty_file,*.orig"
+CODESPELL_SKIPS ?= "*.fif,*.eve,*.gz,*.tgz,*.zip,*.mat,*.stc,*.label,*.w,*.bz2,*.annot,*.sulc,*.log,*.local-copy,*.orig_avg,*.inflated_avg,*.gii,*.pyc,*.doctree,*.pickle,*.inv,*.png,*.edf,*.touch,*.thickness,*.nofix,*.volume,*.defect_borders,*.mgh,lh.*,rh.*,COR-*,FreeSurferColorLUT.txt,*.examples,.xdebug_mris_calc,bad.segments,BadChannels,*.hist,empty_file,*.orig,*.js,*.map,*.ipynb"
 CODESPELL_DIRS ?= mne/ doc/ tutorials/ examples/
 all: clean inplace test test-doc
 
@@ -104,7 +103,7 @@
 	@codespell.py -w -i 3 -q 3 -S $(CODESPELL_SKIPS) -D ./dictionary.txt $(CODESPELL_DIRS)
 
 codespell-error:  # running on travis
-	@codespell.py -i 0 -q 7 -S $(CODESPELL_SKIPS) -D ./dictionary.txt $(CODESPELL_DIRS) | tee /dev/tty | wc -l | xargs test 0 -eq
+	@codespell.py -i 0 -q 7 -S $(CODESPELL_SKIPS) -D ./dictionary.txt $(CODESPELL_DIRS)
 
 manpages:
 	@echo "I: generating manpages"

=== doc/Makefile ===
--- 
+++ 
@@ -49,7 +49,7 @@
 	@echo "Build finished. The HTML pages are in _build/html"
 
 html_dev-pattern:
-	BUILD_DEV_HTML=1 $(SPHINXBUILD) -D plot_gallery=1 -D sphinx_gallery_conf.filename_pattern=$(PATTERN) -b html $(ALLSPHINXOPTS) _build/html
+	BUILD_DEV_HTML=1 $(SPHINXBUILD) -D plot_gallery=1 -D raise_gallery=1 -D abort_on_example_error=1 -D sphinx_gallery_conf.filename_pattern=$(PATTERN) -b html $(ALLSPHINXOPTS) _build/html
 	@echo
 	@echo "Build finished. The HTML pages are in _build/html"
 
@@ -113,3 +113,8 @@
 	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
 	@echo "Testing of doctests in the sources finished, look at the " \
 	      "results in _build/doctest/output.txt."
+
+view:
+	@python -c "import webbrowser; webbrowser.open_new_tab('file://$(PWD)/_build/html/index.html')"
+
+show: view

=== debian/changelog ===
python-mne (0.13.1+dfsg-3) unstable; urgency=medium

  * Depends: libjs-d3
    Closes: #858486

 -- Andreas Tille <tille@debian.org>  Thu, 23 Mar 2017 15:14:07 +0100

python-mne (0.13.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fix corrupted bootstrap.min.js when built with dash as /bin/sh
    (Thanks for the patch to Chris Lamb <lamby@debian.org>)
    Closes: #852518
  * Drop myself from Uploaders
  * debhelper 10
  * d/watch: version=4
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Wed, 25 Jan 2017 10:01:32 +0100

python-mne (0.13.1+dfsg-1) unstable; urgency=medium

  * Fresh upstream bugfix release

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 21 Nov 2016 22:33:19 -0500

python-mne (0.13+git8-gcb8707f+dfsg-1) unstable; urgency=medium

  * Fresh upstream maint snapshot hopefully resolving issues with unicode
    - removed --exclude=test_add_slider_to_section
  * This time with +dfsg cleansing of .min.js files
  * debian/copyright
    - MIT -> Expat, consistent -Clause for BSD, https url

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 18 Nov 2016 10:39:08 -0500

python-mne (0.13+git5-g028f2ee-2) unstable; urgency=medium

  * debian/rules
    - --exclude=test_add_slider_to_section for nose to avoid floating
      unicode issue (see https://github.com/mne-tools/mne-python/issues/3657
      upstream report).  If builds, Closes #837276 (originally FTBFS due to
      some mayavi2 availability issue)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 10 Nov 2016 22:36:23 -0500

python-mne (0.13+git5-g028f2ee-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/patches
    - dropped changeset_*
    - added a changeset (upstreamed) to skip few tests if no usable mayavi2
  * debian/rules
    - fake http_proxy settings to forbid network access
    - HOME=build/ to avoid trying to deal with / as HOME

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 11 Oct 2016 14:59:44 -0400

=== debian/control ===
Source: python-mne
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Alexandre Gramfort <alexandre.gramfort@m4x.org>,
           Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <michael.hanke@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 10),
               python-all,
               python-numpy,
               python-scipy,
               python-sphinx,
               python-nose,
               python-setuptools,
               python-matplotlib,
               python-joblib,
               python-sklearn,
               mayavi2 (>= 4.4.3~) | python-vtk6 | python-vtk,
               xvfb,
               xauth,
               libgl1-mesa-dri,
               python-coverage,
               libjs-jquery,
               libjs-jquery-ui,
               yui-compressor
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-mne.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/python-mne.git
Homepage: http://martinos.org/mne
X-Python-Version: >= 2.7

Package: python-mne
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-numpy,
         python-scipy,
         python-sklearn,
         python-matplotlib,
         python-joblib,
         xvfb,
         xauth,
         libgl1-mesa-dri,
         help2man,
         libjs-jquery,
         libjs-jquery-ui,
         libjs-d3
Recommends: python-nose,
            mayavi2
Suggests: python-dap,
          python-pycuda,
          ipython
Provides: ${python:Provides}
Description: Python modules for MEG and EEG data analysis
 This package is designed for sensor- and source-space analysis of MEG
 and EEG data, including frequency-domain and time-frequency analyses
 and non-parametric statistics.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,12 @@
 # -*- makefile -*-
 
 NOSETESTS=nosetests
+
+# to avoid cannot set toolkit to qt4 because it has already been set to wx
+export ETS_TOOLKIT=qt4
+
+export  http_proxy=http://127.0.0.1:9/
+export  https_proxy=http://127.0.0.1:9/
 
 %:
 	dh $@ --with python2 --buildsystem python_distutils
@@ -13,9 +19,11 @@
 override_dh_auto_build:
 	dh_auto_build
 	yui-compressor debian/JS/bootstrap/bootstrap.js > $(CURDIR)/mne/html/bootstrap.min.js
-	echo -e "\n" >> $(CURDIR)/mne/html/bootstrap.min.js
+	printf "\n\n" >> $(CURDIR)/mne/html/bootstrap.min.js
 
 override_dh_auto_test:
+	mkdir -p build
+	HOME=$(CURDIR)/build \
 	MNE_DONTWRITE_HOME=true MNE_SKIP_SAMPLE_DATASET_TESTS=true MNE_FORCE_SERIAL=true MNE_SKIP_NETWORK_TESTS=1 \
 	  xvfb-run --auto-servernum --server-num=20 -s "-screen 0 1024x768x24 -ac +extension GLX +render -noreset" \
 	  $(NOSETESTS) mne

## python-mne 0.15.2+dfsg

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 # caution: testing won't work on windows, see README
 
 PYTHON ?= python
-NOSETESTS ?= nosetests
+PYTESTS ?= py.test
 CTAGS ?= ctags
-CODESPELL_SKIPS ?= "*.fif,*.eve,*.gz,*.tgz,*.zip,*.mat,*.stc,*.label,*.w,*.bz2,*.annot,*.sulc,*.log,*.local-copy,*.orig_avg,*.inflated_avg,*.gii,*.pyc,*.doctree,*.pickle,*.inv,*.png,*.edf,*.touch,*.thickness,*.nofix,*.volume,*.defect_borders,*.mgh,lh.*,rh.*,COR-*,FreeSurferColorLUT.txt,*.examples,.xdebug_mris_calc,bad.segments,BadChannels,*.hist,empty_file,*.orig,*.js,*.map,*.ipynb"
+CODESPELL_SKIPS ?= "*.fif,*.eve,*.gz,*.tgz,*.zip,*.mat,*.stc,*.label,*.w,*.bz2,*.annot,*.sulc,*.log,*.local-copy,*.orig_avg,*.inflated_avg,*.gii,*.pyc,*.doctree,*.pickle,*.inv,*.png,*.edf,*.touch,*.thickness,*.nofix,*.volume,*.defect_borders,*.mgh,lh.*,rh.*,COR-*,FreeSurferColorLUT.txt,*.examples,.xdebug_mris_calc,bad.segments,BadChannels,*.hist,empty_file,*.orig,*.js,*.map,*.ipynb,searchindex.dat"
 CODESPELL_DIRS ?= mne/ doc/ tutorials/ examples/
 all: clean inplace test test-doc
 
@@ -39,44 +39,41 @@
 
 test: in
 	rm -f .coverage
-	$(NOSETESTS) -a '!ultra_slow_test' mne
+	$(PYTESTS) -m 'not ultraslowtest' mne
 
 test-verbose: in
 	rm -f .coverage
-	$(NOSETESTS) -a '!ultra_slow_test' mne --verbose
+	$(PYTESTS) -m 'not ultraslowtest' mne --verbose
 
 test-fast: in
 	rm -f .coverage
-	$(NOSETESTS) -a '!slow_test' mne
+	$(PYTESTS) -m 'not slowtest' mne
 
 test-full: in
 	rm -f .coverage
-	$(NOSETESTS) mne
+	$(PYTESTS) mne
 
 test-no-network: in
-	sudo unshare -n -- sh -c 'MNE_SKIP_NETWORK_TESTS=1 nosetests mne'
+	sudo unshare -n -- sh -c 'MNE_SKIP_NETWORK_TESTS=1 py.test mne'
 
 test-no-testing-data: in
 	@MNE_SKIP_TESTING_DATASET_TESTS=true \
-	$(NOSETESTS) mne
+	$(PYTESTS) mne
 
 test-no-sample-with-coverage: in testing_data
 	rm -rf coverage .coverage
-	$(NOSETESTS) --with-coverage --cover-package=mne --cover-html --cover-html-dir=coverage
+	$(PYTESTS) --cov=mne --cov-report html:coverage
 
 test-doc: sample_data testing_data
-	$(NOSETESTS) --with-doctest --doctest-tests --doctest-extension=rst doc/
+	$(PYTESTS) --doctest-modules --doctest-ignore-import-errors --doctest-glob='*.rst' ./doc/
 
 test-coverage: testing_data
 	rm -rf coverage .coverage
-	$(NOSETESTS) --with-coverage --cover-package=mne --cover-html --cover-html-dir=coverage
-
-test-profile: testing_data
-	$(NOSETESTS) --with-profile --profile-stats-file stats.pf mne
-	hotshot2dot stats.pf | dot -Tpng -o profile.png
+	$(PYTESTS) --cov=mne --cov-report html:coverage
+# whats the difference with test-no-sample-with-coverage?
 
 test-mem: in testing_data
-	ulimit -v 1097152 && $(NOSETESTS)
+	ulimit -v 1097152 && $(PYTESTS) mne
 
 trailing-spaces:
 	find . -name "*.py" | xargs perl -pi -e 's/[ \t]*$$//'
@@ -100,10 +97,21 @@
 	@echo "flake8 passed"
 
 codespell:  # running manually
-	@codespell.py -w -i 3 -q 3 -S $(CODESPELL_SKIPS) -D ./dictionary.txt $(CODESPELL_DIRS)
+	@codespell -w -i 3 -q 3 -S $(CODESPELL_SKIPS) -D ./dictionary.txt $(CODESPELL_DIRS)
 
 codespell-error:  # running on travis
-	@codespell.py -i 0 -q 7 -S $(CODESPELL_SKIPS) -D ./dictionary.txt $(CODESPELL_DIRS)
+	@codespell -i 0 -q 7 -S $(CODESPELL_SKIPS) -D ./dictionary.txt $(CODESPELL_DIRS)
+
+pydocstyle:
+	@echo "Running pydocstyle"
+	@pydocstyle
+
+docstring:
+	@echo "Running docstring tests"
+	@$(PYTESTS) --doctest-modules mne/tests/test_docstring_parameters.py
+
+pep:
+	@$(MAKE) -k flake pydocstyle docstring codespell-error
 
 manpages:
 	@echo "I: generating manpages"
@@ -122,3 +130,6 @@
 build-doc-stable:
 	cd doc; make clean
 	cd doc; DISPLAY=:1.0 xvfb-run -n 1 -s "-screen 0 1280x1024x24 -noreset -ac +extension GLX +render" make html_stable
+
+docstyle:
+	@pydocstyle

=== doc/Makefile ===
--- 
+++ 
@@ -39,27 +39,32 @@
 	-rm -rf *.nii.gz
 
 html_stable:
-	$(SPHINXBUILD) -D raise_gallery=1 -b html $(ALLSPHINXOPTS) _build/html_stable
+	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html_stable
 	@echo
 	@echo "Build finished. The HTML pages are in _build/html_stable."
 
 html_dev:
-	BUILD_DEV_HTML=1 $(SPHINXBUILD) -D raise_gallery=1 -D abort_on_example_error=1 -b html $(ALLSPHINXOPTS) _build/html
+	BUILD_DEV_HTML=1 $(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
 	@echo
 	@echo "Build finished. The HTML pages are in _build/html"
 
 html_dev-pattern:
-	BUILD_DEV_HTML=1 $(SPHINXBUILD) -D plot_gallery=1 -D raise_gallery=1 -D abort_on_example_error=1 -D sphinx_gallery_conf.filename_pattern=$(PATTERN) -b html $(ALLSPHINXOPTS) _build/html
+	BUILD_DEV_HTML=1 $(SPHINXBUILD) -D plot_gallery=1 -D sphinx_gallery_conf.filename_pattern=$(PATTERN) -b html $(ALLSPHINXOPTS) _build/html
 	@echo
 	@echo "Build finished. The HTML pages are in _build/html"
-
-html_dev-noslow:
-	BUILD_DEV_HTML=1 $(SPHINXBUILD) -D plot_gallery=fast -b html $(ALLSPHINXOPTS) _build/html
 
 html_dev-noplot:
 	BUILD_DEV_HTML=1 $(SPHINXBUILD) -D plot_gallery=0 -b html $(ALLSPHINXOPTS) _build/html
 	@echo
 	@echo "Build finished. The HTML pages are in _build/html."
+
+html-noplot:
+	$(SPHINXBUILD) -D plot_gallery=0 -b html $(ALLSPHINXOPTS) _build/html_stable
+	@echo
+	@echo "Build finished. The HTML pages are in _build/html_stable."
+
+html_dev-front:
+	@PATTERN="\(plot_mne_dspm_source_localization.py\|plot_receptive_field.py\|plot_mne_inverse_label_connectivity.py\|plot_sensors_decoding.py\|plot_stats_cluster_spatio_temporal.py\|plot_visualize_evoked.py\)" make html_dev-pattern;
 
 dirhtml:
 	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml

=== debian/changelog ===
python-mne (0.15.2+dfsg-2) unstable; urgency=medium

  * up_check_numpy to skip a test for warnings being issued with 
    older numpys

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 04 Dec 2017 22:57:35 -0500

python-mne (0.15.2+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #858909)
    - should resolve failing tests (Closes: #877344)
  * debian/control
    - Added python-pytest{,-cov} to build-depends and switch to use
      py.test in debian/rules
    - Added python-nibabel to B-Depends, and Recommends
  * A number of patches added to mitigate failing and segfaulting
    tests:
    - deb_skip_segfaultingtests
    - up_skip_test_requires_data
    - up_tempita_unicode

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 04 Dec 2017 13:07:52 -0500

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,19 @@
 Priority: optional
 Build-Depends: debhelper (>= 10),
                python-all,
+               python-nibabel,
                python-numpy,
                python-scipy,
                python-sphinx,
                python-nose,
+               python-pytest,
+               python-pytest-cov,
                python-setuptools,
                python-matplotlib,
                python-joblib,
                python-sklearn,
                mayavi2 (>= 4.4.3~) | python-vtk6 | python-vtk,
+               python-tk,
                xvfb,
                xauth,
                libgl1-mesa-dri,
@@ -46,6 +50,8 @@
          libjs-jquery-ui,
          libjs-d3
 Recommends: python-nose,
+            python-pytest,
+            python-nibabel,
             mayavi2
 Suggests: python-dap,
           python-pycuda,

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-NOSETESTS=nosetests
+TESTRUNNER=py.test
 
 # to avoid cannot set toolkit to qt4 because it has already been set to wx
 export ETS_TOOLKIT=qt4
@@ -26,7 +26,7 @@
 	HOME=$(CURDIR)/build \
 	MNE_DONTWRITE_HOME=true MNE_SKIP_SAMPLE_DATASET_TESTS=true MNE_FORCE_SERIAL=true MNE_SKIP_NETWORK_TESTS=1 \
 	  xvfb-run --auto-servernum --server-num=20 -s "-screen 0 1024x768x24 -ac +extension GLX +render -noreset" \
-	  $(NOSETESTS) mne
+	  $(TESTRUNNER) -s -v mne
 
 get-orig-source:
 	uscan --verbose --force-download --repack --compress xz

=== debian/watch ===
version=4
opts="uversionmangle=s/$/+dfsg/,filenamemangle=s/.*v([\d\.]+)\..*/python-mne_$1.orig.tar.gz/" \
 https://github.com/mne-tools/mne-python/tags .*/archive/v([\d\.]+)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
